import Rabbiteer from "rabbiteer";
import workers from "./workers/index.js";

// Pull Environment Variables
const { RABBIT_HOST: host, RABBIT_USER: user, RABBIT_PASS: pass } = process.env;

// Rabbit Config
const rabbitConfig = {
  host: host ?? "localhost",
  user: user ?? "rabbit",
  pass: pass ?? "rabbit",
};

export default new Rabbiteer(null, workers, { autoRabbit: rabbitConfig });
